Bug 571631 - [abrt] crash in guake-0.4.1-2.fc12: guake.py:750:show:AttributeError: 'NoneType' object has no attribute 'stick'
Summary: [abrt] crash in guake-0.4.1-2.fc12: guake.py:750:show:AttributeError: 'NoneTy...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: guake
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:59790efb
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-09 04:10 UTC by sly
Modified: 2010-05-19 19:19 UTC (History)
1 user (show)

Fixed In Version: guake-0.4.1-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-19 19:09:10 UTC


Attachments (Terms of Use)
File: backtrace (426 bytes, text/plain)
2010-03-09 04:10 UTC, sly
no flags Details

Description sly 2010-03-09 04:10:45 UTC
abrt 1.0.7 detected a crash.

architecture: i686
cmdline: guake -OO /usr/lib/guake/guake.py
component: guake
executable: /usr/lib/guake/guake.py
kernel: 2.6.31.12-174.2.3.fc12.i686
package: guake-0.4.1-2.fc12
reason: guake.py:750:show:AttributeError: 'NoneType' object has no attribute 'stick'
release: Fedora release 12 (Constantine)

backtrace
-----
guake.py:750:show:AttributeError: 'NoneType' object has no attribute 'stick'

Traceback (most recent call last):
  File "/usr/lib/guake/guake.py", line 741, in show_hide
    self.show()
  File "/usr/lib/guake/guake.py", line 750, in show
    self.get_widget('window-root').stick()
AttributeError: 'NoneType' object has no attribute 'stick'

Local variables in innermost frame:
self: Guake(path="/usr/share/guake/guake.glade")

Comment 1 sly 2010-03-09 04:10:46 UTC
Created attachment 398675 [details]
File: backtrace

Comment 2 Pierre-YvesChibon 2010-03-10 13:06:06 UTC
Hi,

Thanks for the report. Could you give me more information on how to reproduce it ? Or how it happened ? Or if you can still reproduce it ?


Thanks

Comment 3 Fedora Update System 2010-05-07 22:44:50 UTC
guake-0.4.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc12

Comment 4 Fedora Update System 2010-05-07 22:45:12 UTC
guake-0.4.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc13

Comment 5 Fedora Update System 2010-05-07 22:45:34 UTC
guake-0.4.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc11

Comment 6 Fedora Update System 2010-05-08 13:47:37 UTC
guake-0.4.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/guake-0.4.1-4.fc13

Comment 7 Fedora Update System 2010-05-08 16:09:27 UTC
guake-0.4.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/guake-0.4.1-4.fc13

Comment 8 Fedora Update System 2010-05-10 16:57:19 UTC
guake-0.4.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc11

Comment 9 Fedora Update System 2010-05-10 17:09:39 UTC
guake-0.4.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc12

Comment 10 Fedora Update System 2010-05-19 19:08:49 UTC
guake-0.4.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-05-19 19:10:37 UTC
guake-0.4.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-19 19:19:36 UTC
guake-0.4.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.